> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usecontextlayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an agent job's current operation



## OpenAPI

````yaml https://platform.usecontextlayer.com/api/openapi.json get /slates/{target}/agents/{name}/jobs/{id}/operation
openapi: 3.1.0
info:
  title: ContextLayer Platform
  version: 0.1.0
servers:
  - url: https://platform.usecontextlayer.com/api
security: []
tags:
  - name: Slates
  - name: Slate routing
  - name: Slate resources
  - name: Accounts
  - name: Shared secrets
  - name: Agents
  - name: Agent jobs
paths:
  /slates/{target}/agents/{name}/jobs/{id}/operation:
    get:
      tags:
        - Agent jobs
      summary: Get an agent job's current operation
      operationId: getAgentJobOperation
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: name
          in: path
        - schema:
            anyOf:
              - type: string
                format: uuid
              - type: string
          required: true
          name: target
          in: path
        - schema:
            type: string
            format: uuid
          required: true
          name: id
          in: path
      responses:
        '200':
          description: Native Pi pending operation or settled result without the transcript
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      operationId:
                        type: string
                      session:
                        type: string
                      status:
                        type: string
                        enum:
                          - queued
                          - running
                    required:
                      - operationId
                      - session
                      - status
                  - type: object
                    properties:
                      operationId:
                        type: string
                      reason:
                        type: string
                      session:
                        type: string
                      status:
                        type: string
                        enum:
                          - done
                          - unanswered
                      text:
                        type: string
                    required:
                      - operationId
                      - session
                      - status
        '400':
          description: Invalid slate target, agent name, or job ID
        '401':
          description: A valid ContextLayer login is required
        '403':
          description: Slate viewing is forbidden or the slate is public
        '404':
          description: Slate or agent job not found
      security:
        - bearerAuth: []
        - webCookie: []
        - localWebCookie: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    webCookie:
      in: cookie
      name: __Secure-better-auth.session_token
      type: apiKey
    localWebCookie:
      in: cookie
      name: better-auth.session_token
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.